Summary: Convenience library for kernel netlink sockets
Name: libnl3
Version: 3.7.0
Release: 8%{?dist}
License: LGPLv2
URL: http://www.infradead.org/~tgr/libnl/
Source0: https://github.com/thom311/libnl/releases/download/libnl%(echo %{version} | tr '.' '_')/libnl-%{version}.tar.gz
BuildRequires: flex bison libtool autoconf automake swig

%description
Libnl3 is a library for applications dealing with netlink sockets. 
The library provides an interface for raw netlink messaging and 
various netlink family specific interfaces.

%package devel
Summary: Libraries and headers for using libnl3
Requires: libnl3 = %{version}-%{release}
Requires: libnl3-cli = %{version}-%{release}
Requires: kernel-headers

%description devel
The libnl suite provides APIs to the Netlink protocol based Linux 
kernel interfaces, and contains various headers for using libnl3.

%package cli
Summary: Command line interface utils for libnl3
Requires: libnl3 = %{version}-%{release}

%description cli
The cli is a text-based interface that is used to operate software 
and operating systems, which Contains various libnl3 utilities and 
other libraries they rely on.

%package -n python3-libnl3
Summary: libnl3 binding for Python 3
BuildRequires: python3-devel make
Requires: libnl3 = %{version}-%{release}

%description -n python3-libnl3
Python 3 bindings for libnl3

%prep
%autosetup -n libnl-%{version}

%build
autoreconf -fiv
%configure --disable-static
%make_build

pushd ./python/
CFLAGS="$RPM_OPT_FLAGS" %py3_build
CFLAGS="$RPM_OPT_FLAGS" %py3_build
popd

%install
%make_install

find %{buildroot} -name \*.la -delete

pushd ./python/
%py3_install
popd

%check
make check

pushd ./python/
%{__python3} setup.py check
popd

%files
%license COPYING
%exclude %{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl-*.so.*
%config(noreplace) %{_sysconfdir}/*

%files devel
%dir %{_includedir}/libnl3/
%{_includedir}/libnl3/netlink/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files cli
%{_libdir}/libnl-cli*.so.*
%{_libdir}/libnl/
%{_bindir}/*
%{_mandir}/man8/*

%files -n python3-libnl3
%{python3_sitearch}/netlink
%{python3_sitearch}/netlink-*.egg-info

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-7
- Rebuilt for loongarch release

* Fri Jun 28 2024 kianli <kianli@tencent.com> - 3.7.0-6
- Fix source0 error

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 21 2022 Wang Zhe <bessiewang@tencent.com> - 3.7.0-1
- initial build
